<?php


require_once __DIR__."/../vendor/autoload.php";

use NoccyLabs\TinyLog\Logger;
use NoccyLabs\TinyLog\ConsoleSink;

$logger = new Logger();

$logger->info("I'm logged without a sink!");

$logger->addSink(function ($level, $message, $context) {
    printf("%s: %s\n", $level, $message);
});
$logger->addSink(new ConsoleSink());

$logger->debug("Hello World");
$logger->info("This is an info message");
$logger->notice("And a notice");
$logger->warning("A warning too");
$logger->error("Error message");
$logger->critical("Critial message");
$logger->alert("Alert message");
$logger->emergency("Holy shit");
